### Method

# Xdp Portal dynamic_launcher_uninstall

#### Declaration [src]

    gboolean
    xdp_portal_dynamic_launcher_uninstall (
      XdpPortal* portal,
      const char* desktop_file_id,
      GError** error
    )

#### Description [src]

This function uninstalls a launcher that was previously installed using the dynamic launcher portal, resulting in the .desktop file and icon being deleted.

The `desktop_file_id` must be prefixed with the caller’s app ID followed by a “.” and suffixed with “.desktop”.

#### Parameters

`desktop_file_id` | `const char*`
| The .desktop file name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the uninstallation was successful, `FALSE` with `error` set otherwise.